#ifndef PERIODICPROJECT_H
#define PERIODICPROJECT_H

#include "Project.h"
#include "ProblemScal.h"

class Periodicdemo : public Project {
  ProblemScal periodic;
  AdaptInfo* adaptInfo;
  AdaptStationary* adapt;
  Operator* matrixOperator;
  Operator* rhsOperator;
  public:
    Periodicdemo();
    ~Periodicdemo();

    void create(string& filename);
    int solve(SolutionInformation&);
};
#endif
