#ifndef SPHEREPROJECT_H
#define SPHEREPROJECT_H

#include "Project.h"
#include "ProblemScal.h"
#include "FixVec.h"

class Spheredemo : public Project {
  ProblemScal sphere;
  WorldVector< double >* ballCenter;
  AdaptInfo* adaptInfo;
  AdaptStationary* adapt;
  Operator* matrixOperator;
  Operator* rhsOperator;

  public:
    Spheredemo();
    ~Spheredemo();

    void create(string& filename);
    int solve(SolutionInformation& );
};
#endif
